# Jellyfin
## Usage
Jellyfin is used for video streaming on https://stream.halia.dev.
This repository only contains configuration of the currently used Jellyfin instance.

## Requirements
Do deploy this instance, you only need to install `docker-compose` and `docker`.

## Installation
To deploy a copy of this instance, you might want to modify where the volumes are pointing to.
Then run

```
docker-compose up -d
```

All necessary images should be downloaded automatically and the service should be started in the background.

## Start on boot
If you want to use NFS volumes mounted directly inside the container, it is highly recommended to use `systemd` to start the service on boot.

```
[Unit]
Description=Start jellyfin server through docker
After=docker.service network-online.target
Requires=docker.service network-online.target

[Service]
WorkingDirectory=/opt/services/Jellyfin
Type=oneshot
RemainAfterExit=yes

ExecStartPre=/usr/bin/sleep 10
ExecStart=/usr/local/bin/docker-compose up -d
ExecStop=/usr/local/bin/docker-compose stop

[Install]
WantedBy=multi-user.target
```

Notice the `sleep` of 10 seconds, it seems like starting the process straight after boot fails because of some NFS confusion, adding a timer fixes the problem until a better solution is found.
